<template>
  <v-card>
    <file-pond-upload
      @file-uploaded="getCsvFile"
    />
  </v-card>
</template>

<script>
import FilePondUpload from '~/components/Common/Upload/FilePondUpload';

export default {
  name: 'UploadFile',
  components: {
    FilePondUpload,
  },
  emit: ['uploaded'],
  data: () => ({
    file: null,
  }),
  methods: {
    getCsvFile({ file, filename }) {
      this.$emit('uploaded', { file, filename });
    },
  },
};
</script>
